unit uClassDemo;

interface

uses SysUtils;

type
  TClass1 = class(TObject)
    class Procedure Foo;
    class Function Foo1 : String;
    class Function GetTickTime : String;
  end;

implementation

uses fMain;

{ TClass1 }

class procedure TClass1.Foo;
begin
  Form1.AppMsg('Foo is Called! at : ' + Self.GetTickTime);
end;

class function TClass1.Foo1: String;
begin
  Result := 'Foo1 is called!' + Self.GetTickTime;
end;

class function TClass1.GetTickTime: String;
begin
  Result := DateTimeToStr(Now);
end;

end.
 